cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Ellis (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CASSANDRA-2818) 0.8.0 is unable to participate with nodes using a _newer_ protocol version
Date Fri, 24 Jun 2011 20:17:47 GMT

     [ https://issues.apache.org/jira/browse/CASSANDRA-2818?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jonathan Ellis updated CASSANDRA-2818:
--------------------------------------

             Priority: Minor  (was: Major)
    Affects Version/s:     (was: 0.7.1)
                       0.8.0
        Fix Version/s:     (was: 0.7.7)
              Summary: 0.8.0 is unable to participate with nodes using a _newer_ protocol
version  (was: A 0.8.1 version node can't join the ring made up of 0.8.0 nodes.)

> 0.8.0 is unable to participate with nodes using a _newer_ protocol version
> --------------------------------------------------------------------------
>
>                 Key: CASSANDRA-2818
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-2818
>             Project: Cassandra
>          Issue Type: Bug
>          Components: Core
>    Affects Versions: 0.8.0
>            Reporter: Michael Allen
>            Assignee: Brandon Williams
>            Priority: Minor
>             Fix For: 0.8.2
>
>         Attachments: 2818-disconnect.txt, 2818.txt
>
>
> When a 0.8.1 node tries to join a 0.8.0 ring, we see an endless supply of these in system.log:
> INFO [Thread-4] 2011-06-23 21:14:04,149 IncomingTcpConnection.java (line 103) Received
connection from newer protocol version. Ignorning message.
> and the node never joins the ring.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message